CWE Libraries and SDKs

From OpenUru
Revision as of 01:14, 29 March 2011 by Mac Fife (talk | contribs) (OpenSSL: Add text)
Jump to: navigation, search

The CyanWorlds.com Engine (CWE) is released under the GPLv3 Open Source license but uses a number of libraries or SDKs that are not part of the development tool suite and are either commercially licensed or use licenses that are otherwise incompatible with the GPL. Consequently, these are not included within the Open Source release. However, many of these are readily available to any developers wishing to work on the CWE code. The following paragraphs summarize the situation regarding each of these libraries/SDKs:

Bink

wip_30x30.PNG
Content to be advised.


Bink Licensing

wip_30x30.PNG
Content to be advised.


Direct X

wip_30x30.PNG
Content to be advised.


EAX

wip_30x30.PNG
Content to be advised.


Expat

http://expat.sourceforge.net/

wip_30x30.PNG
Content to be advised.


FreeType 2

http://www.freetype.org/freetype2/index.html

wip_30x30.PNG
Content to be advised.


Intel JPEG Library

(No longer available - See IPP)

wip_30x30.PNG
Content to be advised.


Max 7 SDK

wip_30x30.PNG
Content to be advised.


Ogg Vorbis

http://www.vorbis.com/

wip_30x30.PNG
Content to be advised.


OpenAL/EFX SDK

http://connect.creativelabs.com/openal

wip_30x30.PNG
Content to be advised.


OpenSSL

OpenSSL is a Secure Sockets Layer implementation originally developed by Eric Young. OpenSSl is "dual licensed" in that that both the OpenSSL License (BSD-like) and the original SSLeay License are applied concurrently [1]. From Gnu.org: [2]

The license of OpenSSL is a conjunction of two licenses, one of them being the license of SSLeay. You must follow both. The combination results in a copyleft free software license that is incompatible with the GNU GPL. It also has an advertising clause like the original BSD license and the Apache license.


We recommend using GNUTLS instead of OpenSSL in software you write. However, there is no reason not to use OpenSSL and applications that work with OpenSSL.

It is the "advertising clause" that presents the incompatibility with GPLv3.

PhysX (Aegia/nVIDIA)

wip_30x30.PNG
Content to be advised.


PhysX Licensing

SDK

wip_30x30.PNG
Content to be advised.


Driver

wip_30x30.PNG
Content to be advised.


Quicktime for Windows

wip_30x30.PNG
Content to be advised.